object FormWavelet: TFormWavelet
  Left = 402
  Top = 244
  Width = 423
  Height = 569
  Caption = 'WKO 2.7 [maven@maven.de]'
  Color = clBtnFace
  Constraints.MinHeight = 496
  Constraints.MinWidth = 394
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'MS Sans Serif'
  Font.Style = []
  OldCreateOrder = False
  Position = poDesktopCenter
  ShowHint = True
  OnCreate = FormCreate
  OnDestroy = FormDestroy
  DesignSize = (
    415
    535)
  PixelsPerInch = 96
  TextHeight = 13
  object GroupBoxInput: TGroupBox
    Left = 0
    Top = 0
    Width = 97
    Height = 185
    Caption = 'Input:'
    TabOrder = 0
    DesignSize = (
      97
      185)
    object ButtonLoad: TButton
      Left = 8
      Top = 22
      Width = 81
      Height = 25
      Hint = 
        'Loads an image and adds its channels (if dimensions match) to th' +
        'e channel-list.'
      Anchors = [akLeft]
      Caption = '&Load...'
      TabOrder = 0
      OnClick = ButtonLoadClick
    end
    object CheckBoxGreyScale: TCheckBox
      Left = 8
      Top = 76
      Width = 73
      Height = 17
      Hint = 'Load as greyscale or colour image'
      Anchors = [akLeft]
      Caption = '&Greyscale'
      TabOrder = 1
      OnClick = CheckBoxGreyScaleClick
    end
    object CheckBoxYCbCr: TCheckBox
      Left = 8
      Top = 97
      Width = 65
      Height = 17
      Hint = 'RGB -> YCbCr conversion on multi-channel images.'
      Anchors = [akLeft]
      Caption = '&YCbCr'
      Checked = True
      State = cbChecked
      TabOrder = 2
    end
    object ButtonClear: TButton
      Left = 8
      Top = 127
      Width = 81
      Height = 25
      Hint = 'Discards all channels.'
      Anchors = [akLeft]
      Caption = '&Clear'
      TabOrder = 3
      OnClick = ButtonClearClick
    end
    object CheckBoxStayOnTop: TCheckBox
      Left = 8
      Top = 156
      Width = 80
      Height = 17
      Hint = 'Always stay on top?'
      Anchors = [akLeft]
      Caption = 'On &Top'
      TabOrder = 4
      OnClick = CheckBoxStayOnTopClick
    end
    object CheckBoxApproximate: TCheckBox
      Left = 8
      Top = 56
      Width = 80
      Height = 17
      Hint = 'Use the much faster (data independent) error approximation?'
      Caption = '&Approximate'
      TabOrder = 5
    end
  end
  object GroupBoxChannels: TGroupBox
    Left = 104
    Top = 0
    Width = 310
    Height = 185
    Anchors = [akLeft, akTop, akRight]
    Caption = 'Channels:'
    TabOrder = 1
    DesignSize = (
      310
      185)
    object TreeViewChannels: TTreeView
      Left = 8
      Top = 16
      Width = 294
      Height = 161
      Hint = 'List of loaded channels.'
      Anchors = [akLeft, akTop, akRight, akBottom]
      HideSelection = False
      Indent = 19
      ReadOnly = True
      TabOrder = 0
      OnChange = TreeViewChannelsChange
    end
  end
  object PageControlSettings: TPageControl
    Left = 0
    Top = 359
    Width = 414
    Height = 145
    ActivePage = TabSheetQuality
    Anchors = [akLeft, akRight, akBottom]
    TabIndex = 0
    TabOrder = 2
    object TabSheetQuality: TTabSheet
      Caption = '&1 Quality'
      DesignSize = (
        406
        117)
      object GroupBoxQuality: TGroupBox
        Left = 8
        Top = 0
        Width = 390
        Height = 113
        Anchors = [akLeft, akTop, akRight]
        Caption = 'Channel PSNR:'
        TabOrder = 0
        DesignSize = (
          390
          113)
        object Label6: TLabel
          Left = 253
          Top = 56
          Width = 55
          Height = 13
          Anchors = [akTop, akRight]
          Caption = 'PSNR (dB):'
        end
        object Label7: TLabel
          Left = 253
          Top = 80
          Width = 55
          Height = 13
          Anchors = [akTop, akRight]
          Caption = 'Mean Error:'
        end
        object TrackBarPSNR: TTrackBar
          Left = 8
          Top = 16
          Width = 374
          Height = 25
          Anchors = [akLeft, akTop, akRight]
          Max = 70000
          Orientation = trHorizontal
          PageSize = 1000
          Frequency = 1250
          Position = 0
          SelEnd = 0
          SelStart = 0
          TabOrder = 0
          ThumbLength = 10
          TickMarks = tmBoth
          TickStyle = tsAuto
          OnChange = TrackBarPSNRChange
        end
        object EditPSNR: TEdit
          Left = 317
          Top = 56
          Width = 65
          Height = 21
          Hint = 'Target "Peak Signal to Noise Ratio" in the compressed image.'
          Anchors = [akTop, akRight]
          ReadOnly = True
          TabOrder = 1
        end
        object EditMSE: TEdit
          Left = 317
          Top = 80
          Width = 65
          Height = 21
          Hint = 'Target "Root Mean Square Error" in the compressed image.'
          Anchors = [akTop, akRight]
          TabOrder = 2
        end
      end
    end
    object TabSheetSize: TTabSheet
      Caption = '&2 Size'
      ImageIndex = 1
      DesignSize = (
        406
        117)
      object GroupBox1: TGroupBox
        Left = 8
        Top = 0
        Width = 390
        Height = 113
        Anchors = [akLeft, akRight, akBottom]
        Caption = 'Bits per Pixel / Channel:'
        TabOrder = 0
        DesignSize = (
          390
          113)
        object Label4: TLabel
          Left = 253
          Top = 56
          Width = 54
          Height = 13
          Anchors = [akTop, akRight]
          Caption = 'BPP / Chn:'
        end
        object Label5: TLabel
          Left = 253
          Top = 80
          Width = 46
          Height = 13
          Anchors = [akTop, akRight]
          Caption = 'KiloBytes:'
        end
        object EditSizeBPP: TEdit
          Left = 317
          Top = 56
          Width = 65
          Height = 21
          Hint = 'Target "Bits / Pixel / Channel" for the compressed image.'
          Anchors = [akTop, akRight]
          ReadOnly = True
          TabOrder = 0
        end
        object TrackBarSizeBPP: TTrackBar
          Left = 8
          Top = 16
          Width = 358
          Height = 25
          Anchors = [akLeft, akTop, akRight]
          Max = 16000
          Orientation = trHorizontal
          ParentShowHint = False
          PageSize = 100
          Frequency = 250
          Position = 1500
          SelEnd = 0
          SelStart = 0
          ShowHint = False
          TabOrder = 1
          ThumbLength = 10
          TickMarks = tmBoth
          TickStyle = tsAuto
          OnChange = TrackBarSizeBPPChange
        end
        object EditSizeSize: TEdit
          Left = 317
          Top = 80
          Width = 65
          Height = 21
          Hint = 'Target KiloBytes used for the compressed image.'
          Anchors = [akTop, akRight]
          ReadOnly = True
          TabOrder = 2
        end
        object UpDownSize: TUpDown
          Left = 365
          Top = 21
          Width = 16
          Height = 20
          Hint = 'Scales the bits / pixel / channel slider resolution.'
          Anchors = [akTop, akRight]
          Min = 0
          Increment = -1
          Position = 0
          TabOrder = 3
          Thousands = False
          Wrap = False
          OnChangingEx = UpDownSizeChangingEx
        end
        object GroupBox2: TGroupBox
          Left = 8
          Top = 48
          Width = 238
          Height = 57
          Anchors = [akLeft, akTop, akRight]
          Caption = 'Channel Quality Boost (Mean Error):'
          TabOrder = 4
          DesignSize = (
            238
            57)
          object TrackBarDeltaMSE: TTrackBar
            Left = 8
            Top = 16
            Width = 166
            Height = 25
            Hint = 
              'Relative channel quality slider (can be used independently for e' +
              'ach channel).'
            Anchors = [akLeft, akTop, akRight]
            Max = 10000
            Orientation = trHorizontal
            PageSize = 100
            Frequency = 500
            Position = 5000
            SelEnd = 0
            SelStart = 0
            TabOrder = 0
            ThumbLength = 10
            TickMarks = tmBoth
            TickStyle = tsAuto
            OnChange = TrackBarDeltaMSEChange
          end
          object EditDeltaMSE: TEdit
            Left = 181
            Top = 21
            Width = 49
            Height = 21
            Hint = 
              'Relative "Root Mean Square Error" (for the selected channel rela' +
              'tive to the others).'
            Anchors = [akTop, akRight]
            ReadOnly = True
            TabOrder = 1
          end
        end
      end
    end
  end
  object ProgressBar1: TProgressBar
    Left = 8
    Top = 509
    Width = 398
    Height = 20
    Anchors = [akLeft, akRight, akBottom]
    Min = 0
    Max = 10000
    Smooth = True
    TabOrder = 3
  end
  object GroupBoxCompression: TGroupBox
    Left = 0
    Top = 190
    Width = 414
    Height = 165
    Anchors = [akLeft, akTop, akRight, akBottom]
    Caption = 'Compression:'
    TabOrder = 4
    DesignSize = (
      414
      165)
    object Label1: TLabel
      Left = 141
      Top = 16
      Width = 20
      Height = 13
      Anchors = [akTop, akRight]
      Caption = 'Bits:'
    end
    object Label2: TLabel
      Left = 141
      Top = 40
      Width = 46
      Height = 13
      Anchors = [akTop, akRight]
      Caption = 'KiloBytes:'
    end
    object Label3: TLabel
      Left = 141
      Top = 64
      Width = 54
      Height = 13
      Anchors = [akTop, akRight]
      Caption = 'BPP / Chn:'
    end
    object Label8: TLabel
      Left = 277
      Top = 64
      Width = 62
      Height = 13
      Anchors = [akTop, akRight]
      Caption = 'Square Error:'
    end
    object Label9: TLabel
      Left = 277
      Top = 40
      Width = 55
      Height = 13
      Anchors = [akTop, akRight]
      Caption = 'Mean Error:'
    end
    object Label10: TLabel
      Left = 277
      Top = 16
      Width = 54
      Height = 13
      Anchors = [akTop, akRight]
      Caption = 'PSNR (db):'
    end
    object ButtonKompress: TButton
      Left = 8
      Top = 16
      Width = 81
      Height = 25
      Hint = 'Compress with the given settings.'
      Caption = '&Kompress'
      Enabled = False
      TabOrder = 0
      OnClick = ButtonKompressClick
    end
    object EditBits: TEdit
      Left = 205
      Top = 16
      Width = 65
      Height = 21
      Hint = 'Bits used by the compressed image.'
      Anchors = [akTop, akRight]
      ReadOnly = True
      TabOrder = 1
    end
    object EditKiloBytes: TEdit
      Left = 205
      Top = 40
      Width = 65
      Height = 21
      Hint = 'KiloBytes used by the compressed image.'
      Anchors = [akTop, akRight]
      ReadOnly = True
      TabOrder = 2
    end
    object EditBPP: TEdit
      Left = 205
      Top = 64
      Width = 65
      Height = 21
      Hint = '"Bits / Pixel / Channel" in the compressed image.'
      Anchors = [akTop, akRight]
      ReadOnly = True
      TabOrder = 3
    end
    object EditOutPSNR: TEdit
      Left = 341
      Top = 16
      Width = 65
      Height = 21
      Hint = '"Peak Signal to Noise Ratio" in the compressed image.'
      Anchors = [akTop, akRight]
      ReadOnly = True
      TabOrder = 4
    end
    object EditOutRMSE: TEdit
      Left = 341
      Top = 40
      Width = 65
      Height = 21
      Hint = '"Root Mean Square Error" in the compressed image.'
      Anchors = [akTop, akRight]
      ReadOnly = True
      TabOrder = 5
    end
    object EditOutMSE: TEdit
      Left = 341
      Top = 64
      Width = 65
      Height = 21
      Hint = '"Mean Square Error" in the compressed image.'
      Anchors = [akTop, akRight]
      ReadOnly = True
      TabOrder = 6
    end
    object CheckBoxSave: TCheckBox
      Left = 8
      Top = 64
      Width = 89
      Height = 17
      Hint = 'Save the output into a file when compressing?'
      Caption = '&Save File'
      TabOrder = 7
    end
    object Panel1: TPanel
      Left = 8
      Top = 96
      Width = 398
      Height = 59
      Anchors = [akLeft, akTop, akRight, akBottom]
      Caption = 'Panel1'
      TabOrder = 8
      object PaintBoxGraph: TPaintBox
        Left = 1
        Top = 1
        Width = 396
        Height = 57
        Hint = 
          'Shows quantiser distribution through wavelet-blocks (white ^= in' +
          'cluded, black ^= discarded bit-plane)'
        Align = alClient
        OnPaint = PaintBoxGraphPaint
      end
    end
  end
  object OpenDialog1: TOpenDialog
    Filter = 
      'Images (*.wko;*.bmp;*.jpg;*.jpeg)|*.wko;*.bmp;*.jpg;*.jpeg|Wavel' +
      'et Kompressed (*.wko)|*.wko|Bitmaps (*.bmp)|*.bmp|JPEGs (*.jpg;*' +
      '.jpeg)|*.jpg;*.jpeg|All Files (*.*)|*.*'
    Options = [ofHideReadOnly, ofPathMustExist, ofEnableSizing]
    Title = 'Load an image...'
    Left = 344
  end
  object SaveDialog1: TSaveDialog
    DefaultExt = 'wko'
    Filter = 'Wavelet Kompressed (*.wko)|*.wko|Bitmaps (*.bmp)|*.bmp'
    Options = [ofHideReadOnly, ofPathMustExist, ofEnableSizing]
    Title = 'Save an image...'
    Left = 344
    Top = 32
  end
  object ThemeManager1: TThemeManager
    Left = 344
    Top = 64
  end
end
